#include "LTR41Config.h"
#include "LTR41.h"
#include "LTR41TypeInfo.h"
#include <QJsonObject>

namespace LQMeas {
    QString LTR41Config::typeConfigName() {
        return LTR41TypeInfo::defaultInfo().deviceTypeName();
    }

    LTR41Config::LTR41Config() : m_in(*LTR41TypeInfo::defaultInfo().digin()) {
        init();
    }


    LTR41Config::LTR41Config(const LTR41Config &cfg) : m_in{cfg.in()} {
        init();
    }
}
