#ifndef LQMEAS_LTRT13TYPEINFO_H
#define LQMEAS_LTRT13TYPEINFO_H

#include "lqmeas/devs/DeviceTypeInfo.h"

namespace LQMeas {
    class LTRT13TypeInfo : public DeviceTypeInfo  {
    public:
        static const QString &name();
        QString deviceTypeName() const override {return name();}

        static const LTRT13TypeInfo &defaultInfo();

        QList<const DeviceTypeInfo *> modificationList() const override;
    private:
        LTRT13TypeInfo();
    };
}
#endif // LQMEAS_LTRT13TYPEINFO_H
