#ifndef LQTDEFS_H
#define LQTDEFS_H

#include <QtGlobal>
#include <QString>

#ifdef Q_OS_WIN
    #define QSTRING_FROM_CSTR(str) QString::fromLocal8Bit(str)
    #define QSTRING_TO_CSTR(str)   str.toLocal8Bit()
#else
    #define QSTRING_FROM_CSTR(str) QString(str)
    #define QSTRING_TO_CSTR(str)   str.toUtf8()
#endif


#define LQREAL_IS_NULL(val) qFuzzyIsNull(val)
#define LQREAL_IS_EQUAL(val1, val2) ((qFuzzyIsNull(val1) && qFuzzyIsNull(val2)) || qFuzzyCompare(val1, val2))


#endif // LQTDEFS_H
