set(QTRANSLATIONSWITCH_DIR ${CMAKE_CURRENT_LIST_DIR})

set(QTRANSLATIONSWITCH_INCLUDE_DIRS ${QTRANSLATIONSWITCH_DIR})

set(QTRANSLATIONSWITCH_SOURCES
    ${QTRANSLATIONSWITCH_DIR}/QTranslationSwitch.h
    ${QTRANSLATIONSWITCH_DIR}/QTranslationSwitch.cpp
    ${QTRANSLATIONSWITCH_DIR}/icons/qtranslationswitchicons.qrc
)

include(${QTRANSLATIONSWITCH_DIR}/translations/cmake/qtranslation.cmake)
set(QTRANSLATIONSWITCH_TS_BASENAME qtranslationswitch)
qtranslation_generate(QTRANSLATIONSWITCH_GENFILES ${QTRANSLATIONSWITCH_DIR}/translations ${QTRANSLATIONSWITCH_TS_BASENAME} ${QTRANSLATIONSWITCH_SOURCES})

set(QTRANSLATIONSWITCH_FILES ${QTRANSLATIONSWITCH_SOURCES} ${QTRANSLATIONSWITCH_GENFILES})
