#include "LTR216AdcTareOps.h"

namespace LQMeas {
    const DevAdcTareOp &LTR216AdcTareOps::externalTare() {
        static const class LTR216AdcTareOpExtermal : public DevAdcTareOp {
            QString id() const override {return QStringLiteral("external");}
            QString displayName() const override {return tr("External Tare");}
            bool externalSignalRequired() const override {return true;}
        } op;
        return op;
    }

    const DevAdcTareOp &LTR216AdcTareOps::reset() {
        static const class LTR216AdcTareOpReset : public DevAdcTareOp {
            QString id() const override {return QStringLiteral("reset");}
            QString displayName() const override {return tr("Reset");}
            bool externalSignalRequired() const override {return false;}
        } op;
        return op;
    }
}
