#include "LTR43InConfig.h"
#include "LTR43Config.h"

namespace LQMeas {
    bool LTR43InConfig::inDigChAvailable(int ch) const  {
        return m_devcfg->channelDirection(ch) == LTR43Config::Direction::In;
    }

    LTR43InConfig::LTR43InConfig(LTR43Config *devcfg, const DevInDigInfo &info) :
        DevInDigConfig{info}, m_devcfg{devcfg} {

    }

    LTR43InConfig::LTR43InConfig(LTR43Config *devcfg, const LTR43InConfig &inCfg) :
        DevInDigConfig{inCfg}, m_devcfg{devcfg} {

    }

}
