#ifndef LQMEAS_LTR43INCONFIG_H
#define LQMEAS_LTR43INCONFIG_H

#include "lqmeas/ifaces/in/dig/DevInDigConfig.h"

namespace LQMeas {
    class LTR43Config;

    class LTR43InConfig : public DevInDigConfig {
        Q_OBJECT
    public:
         bool inDigChAvailable(int ch) const override;
    private:
        LTR43InConfig(LTR43Config *devcfg, const DevInDigInfo &info);
        LTR43InConfig(LTR43Config *devcfg, const LTR43InConfig &inCfg);

        LTR43Config *m_devcfg;

        friend class LTR43Config;
    };
}

#endif // LTR43INCONFIG_H
